Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class Other

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.Other

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class Other

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Other', and utility methods for working with them. specDomain: V10616 (C-0-D10609-V10610-V10616-cpt)

See Also:
  `CDAR2Package.getOther()`

Field Summary
`static int` | `NINF` The 'NINF' literal value.
`static Other` | `NINF_LITERAL` The 'NINF' literal object.
`static int` | `OTH` The 'OTH' literal value.
`static Other` | `OTH_LITERAL` The 'OTH' literal object.
`static int` | `PINF` The 'PINF' literal value.
`static Other` | `PINF_LITERAL` The 'PINF' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Other' enumerators.

Method Summary
`static Other` | `get(int value)` Returns the 'Other' literal with the specified integer value.
`static Other` | `get(java.lang.String literal)` Returns the 'Other' literal with the specified literal value.
`static Other` | `getByName(java.lang.String name)` Returns the 'Other' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OTH

    public static final int OTH

  The 'OTH' literal value.

  If the meaning of 'OTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OTH_LITERAL`, Constant Field Values

### NINF

    public static final int NINF

  The 'NINF' literal value.

  If the meaning of 'NINF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NINF_LITERAL`, Constant Field Values

### PINF

    public static final int PINF

  The 'PINF' literal value.

  If the meaning of 'PINF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PINF_LITERAL`, Constant Field Values

### OTH_LITERAL

    public static final Other OTH_LITERAL

  The 'OTH' literal object.

  See Also:
    `OTH`

### NINF_LITERAL

    public static final Other NINF_LITERAL

  The 'NINF' literal object.

  See Also:
    `NINF`

### PINF_LITERAL

    public static final Other PINF_LITERAL

  The 'PINF' literal object.

  See Also:
    `PINF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Other' enumerators.

Method Detail

### get

    public static Other get(java.lang.String literal)

  Returns the 'Other' literal with the specified literal value.

### getByName

    public static Other getByName(java.lang.String name)

  Returns the 'Other' literal with the specified name.

### get

    public static Other get(int value)

  Returns the 'Other' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD